From: <a href="/blend/av.cgi?id=29">~Harem~</a><BR>
Date: 24 August 2010<P>

To LadyFoxFire,<BR>
Yes, it really did happen to me...<BR>
And I often wonder why he even bothered<BR>
to marry me....  I didn't find out the<BR>
truth about that night, until ten years<BR>
later - after having 4 children with him.<BR>
And like you, I wonder, what kind of<BR>
monster could have done that to his<BR>
mate on their wedding night.  <BR>
<BR>
It's almost unconceivable..  I still<BR>
think....  OMG - did that really happen<BR>
to me....  I was so young and naiive<BR>
at the time....  that I believed him.<BR>
I wanted to believe him...  because<BR>
I loved him.....  So Sad... that I <BR>
wasted so many years of my life....<BR>
But I am happy now - and that's what really matters....  pick yourself up,<BR>
and get on with your life..... <BR>
<BR>
Thanks for reading and for your comment.<BR>
<BR>
.
<HR>
From: <a href="/blend/av.cgi?id=1964">RebeccaBeth_88</a><BR>
Date: 24 August 2010<P>

~Harem~ -- Oh my gosh! I'm so sorry that happened! I'd be in prison cause I would have cut his thing off and run over it 10 times, then chopped it into little pieces and fed it to him. I'm glad that you are happy though. Thanks for sharing a piece of your heart. It takes a lot of guts to share personal stories like that. You sound like a strong person<BR>
:-)
<HR>